| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
OgreBites::AdvancedRenderControls Class Reference

`#include <OgreAdvancedRenderControls.h>`

Inheritance diagram for OgreBites::AdvancedRenderControls:
[legend]

## Public Member Functions
| AdvancedRenderControls (TrayManager *trayMgr, Ogre::Camera *cam)
| ~AdvancedRenderControls ()
void | frameRendered (const Ogre::FrameEvent &evt)
bool | keyPressed (const KeyboardEvent &evt)
virtual bool | keyReleased (const KeyboardEvent &evt)
virtual bool | mouseMoved (const MouseMotionEvent &evt)
virtual bool | mousePressed (const MouseButtonEvent &evt)
virtual bool | mouseReleased (const MouseButtonEvent &evt)
virtual bool | mouseWheelRolled (const MouseWheelEvent &evt)
virtual bool | touchMoved (const TouchFingerEvent &evt)
virtual bool | touchPressed (const TouchFingerEvent &evt)
virtual bool | touchReleased (const TouchFingerEvent &evt)

## Detailed Description

- F: Toggle frame rate stats on/off
- G: Toggle advanced frame stats on/off
- P Toggle profiler window on/ off (if compiled with OGRE_PROFILING)
- R: Render mode
  - Wireframe
  - Points
  - Solid
- T: Cycle texture filtering
  - Bilinear
  - Trilinear
  - Anisotropic(8)
  - None
- F2: RTSS: Set the main viewport material scheme to default material manager scheme.
- F3: RTSS: Toggle default shader generator lighting model from per vertex to per pixel.
- F4: RTSS: Switch vertex shader outputs compaction policy.
- F5: Reload all textures
- F6: Take a screenshot

## Constructor & Destructor Documentation

## ◆ AdvancedRenderControls()

OgreBites::AdvancedRenderControls::AdvancedRenderControls | ( | TrayManager * | trayMgr,
|  | Ogre::Camera * | cam
| ) |  |

## ◆ ~AdvancedRenderControls()

OgreBites::AdvancedRenderControls::~AdvancedRenderControls | ( |  | ) |

## Member Function Documentation

## ◆ keyPressed()

bool OgreBites::AdvancedRenderControls::keyPressed | ( | const KeyboardEvent & | evt | ) |
| virtual

Reimplemented from OgreBites::InputListener.

## ◆ frameRendered()

void OgreBites::AdvancedRenderControls::frameRendered | ( | const Ogre::FrameEvent & | evt | ) |
| virtual

Reimplemented from OgreBites::InputListener.

## ◆ keyReleased()

virtual bool OgreBites::InputListener::keyReleased | ( | const KeyboardEvent & | evt | ) |
| inline virtual inherited

Reimplemented in OgreBites::CameraMan.

## ◆ touchMoved()

virtual bool OgreBites::InputListener::touchMoved | ( | const TouchFingerEvent & | evt | ) |
| inline virtual inherited

## ◆ touchPressed()

virtual bool OgreBites::InputListener::touchPressed | ( | const TouchFingerEvent & | evt | ) |
| inline virtual inherited

## ◆ touchReleased()

virtual bool OgreBites::InputListener::touchReleased | ( | const TouchFingerEvent & | evt | ) |
| inline virtual inherited

## ◆ mouseMoved()

virtual bool OgreBites::InputListener::mouseMoved | ( | const MouseMotionEvent & | evt | ) |
| inline virtual inherited

Reimplemented in OgreBites::TrayManager, and OgreBites::CameraMan.

## ◆ mouseWheelRolled()

virtual bool OgreBites::InputListener::mouseWheelRolled | ( | const MouseWheelEvent & | evt | ) |
| inline virtual inherited

Reimplemented in OgreBites::CameraMan.

## ◆ mousePressed()

virtual bool OgreBites::InputListener::mousePressed | ( | const MouseButtonEvent & | evt | ) |
| inline virtual inherited

Reimplemented in OgreBites::TrayManager, and OgreBites::CameraMan.

## ◆ mouseReleased()

virtual bool OgreBites::InputListener::mouseReleased | ( | const MouseButtonEvent & | evt | ) |
| inline virtual inherited

Reimplemented in OgreBites::TrayManager, and OgreBites::CameraMan.

The documentation for this class was generated from the following file:

- OgreAdvancedRenderControls.h